 drivers/ide/pci/siimage.c |    4 +++-
 drivers/ide/pci/siimage.h |   10 ++++++++++
 include/linux/pci_ids.h   |    1 +
 3 files changed, 14 insertions(+), 1 deletion(-)

diff -puN drivers/ide/pci/siimage.c~ide-siimage-sil3114 drivers/ide/pci/siimage.c
--- 25/drivers/ide/pci/siimage.c~ide-siimage-sil3114	2003-12-24 00:03:25.000000000 -0800
+++ 25-akpm/drivers/ide/pci/siimage.c	2003-12-24 00:03:25.000000000 -0800
@@ -1,5 +1,5 @@
 /*
- * linux/drivers/ide/pci/siimage.c		Version 1.08	Dec 7, 2003
+ * linux/drivers/ide/pci/siimage.c		Version 1.09	Dec 7, 2003
  *
  * Copyright (C) 2001-2002	Andre Hedrick <andre@linux-ide.org>
  * Copyright (C) 2003		Red Hat <alan@redhat.com>
@@ -56,6 +56,7 @@ static int pdev_is_sata(struct pci_dev *
 	{
 		case PCI_DEVICE_ID_SII_3112:
 		case PCI_DEVICE_ID_SII_1210SA:
+		case PCI_DEVICE_ID_SII_3114:
 			return 1;
 		case PCI_DEVICE_ID_SII_680:
 			return 0;
@@ -1200,6 +1201,7 @@ static struct pci_device_id siimage_pci_
 	{ PCI_VENDOR_ID_CMD, PCI_DEVICE_ID_SII_680,  PCI_ANY_ID, PCI_ANY_ID, 0, 0, 0},
 	{ PCI_VENDOR_ID_CMD, PCI_DEVICE_ID_SII_3112, PCI_ANY_ID, PCI_ANY_ID, 0, 0, 1},
 	{ PCI_VENDOR_ID_CMD, PCI_DEVICE_ID_SII_1210SA, PCI_ANY_ID, PCI_ANY_ID, 0, 0, 2},
+	{ PCI_VENDOR_ID_CMD, PCI_DEVICE_ID_SII_3114, PCI_ANY_ID, PCI_ANY_ID, 0, 0, 3},
 	{ 0, },
 };
 
diff -puN drivers/ide/pci/siimage.h~ide-siimage-sil3114 drivers/ide/pci/siimage.h
--- 25/drivers/ide/pci/siimage.h~ide-siimage-sil3114	2003-12-24 00:03:25.000000000 -0800
+++ 25-akpm/drivers/ide/pci/siimage.h	2003-12-24 00:03:25.000000000 -0800
@@ -82,6 +82,16 @@ static ide_pci_device_t siimage_chipsets
 		.enablebits	= {{0x00,0x00,0x00}, {0x00,0x00,0x00}},
 		.bootable	= ON_BOARD,
 		.extra		= 0,
+	},{	/* 3 */
+		.vendor		= PCI_VENDOR_ID_CMD,
+		.device		= PCI_DEVICE_ID_SII_3114,
+		.name		= "SiI3114 Serial ATA",
+		.init_chipset	= init_chipset_siimage,
+		.init_iops	= init_iops_siimage,
+		.init_hwif	= init_hwif_siimage,
+		.channels	= 2,
+		.autodma	= AUTODMA,
+		.bootable	= ON_BOARD,
 	},{
 		.vendor		= 0,
 		.device		= 0,
diff -puN include/linux/pci_ids.h~ide-siimage-sil3114 include/linux/pci_ids.h
--- 25/include/linux/pci_ids.h~ide-siimage-sil3114	2003-12-24 00:03:25.000000000 -0800
+++ 25-akpm/include/linux/pci_ids.h	2003-12-24 00:03:25.000000000 -0800
@@ -884,6 +884,7 @@
 
 #define PCI_DEVICE_ID_SII_680		0x0680
 #define PCI_DEVICE_ID_SII_3112		0x3112
+#define PCI_DEVICE_ID_SII_3114		0x3114
 #define PCI_DEVICE_ID_SII_1210SA	0x0240
 
 #define PCI_VENDOR_ID_VISION		0x1098

_
